############################################################
##      Oracle How-Tos configuration file
##
## This file contains the different properties used
## to build the OracleAS how-to
##
## Depending of your configuration you may have to change
## some of the properties.
##
## $Id: ant-oracle.properties 527 2006-08-09 02:53:41Z sbutton $
############################################################


# The installation directory for OC4J
oracle.home=${env.ORACLE_HOME}

# The home location for the JDK installation
java.home=${env.JAVA_HOME}


# The host on which the target OracleAS instance is running
# eiter stand alone OC4J or OPMN host.
oracleas.host=localhost

# The HTTP listening port for the target OC4J instance
#   - stand alone mode default is 8888
#   - managed mode default is 7777
oracleas.http.port=8888

# The administration listening port for the target OC4J instance
# This port reprensents:
#  - the ORMI port if you are running a Stand Alone OC4J instance (default: 23791)
#  - the OPMN port if you are running OracleAS in a managed mode (default: 6003)
# Note about the OPMN port:
#  if you do not know what is the OPMN port of your OracleAS instance
#  you can get if using the following command:
#    $ORACLE_HOME/opmn/bin/opmnctl status -port
oracleas.admin.port=23791

# The administrative login name for the target OracleAS instance
oracleas.admin.user=oc4jadmin

# The administrative password for the target OracleAS instance
oracleas.admin.password=welcome1

# The web site to which the deployed web modules are bound
oracleas.binding.module=default-web-site

# The deployer.uri is the URI that ill be used to deploy the application.
# The URI varies depending of the type of topology
#  1. Stand Alone OC4J instance
#  2. Single Managed Instance (OPMN without clustering)
#  3. Managed Cluster (OPMN with multiple clustered nodes)
#  Uncomment the URI depending of your targetted configuration
#
#  1. Stand alone OC4J
oracleas.deployer.uri=deployer:oc4j:${oracleas.host}:${oracleas.admin.port}

#  2. Single managed instance
#oracleas.deployer.uri=deployer:oc4j:opmn://${oracleas.host}:${oracleas.admin.port}/${oracleas.oc4j.instance}

#  3. Cluster
#oracleas.deployer.uri=deployer:cluster:opmn://${oracleas.host}:${oracleas.admin.port}/${oracleas.oc4j.instance}

# If you are deploying to a Managed instance you must specify the OC4J instance name
oracleas.oc4j.instance=home


# The database host
db.host=${env.DB_HOST}

# The database SID
db.sid=${env.DB_SID}

# The database listener port
db.port=${env.DP_PORT}
